Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier
Class ErrorInfo.ElementErrorInfo

    java.lang.Object
      com.sun.msv.verifier.ErrorInfo
          com.sun.msv.verifier.ErrorInfo.ElementErrorInfo

Direct Known Subclasses:
  ErrorInfo.BadAttribute, ErrorInfo.BadTagName, ErrorInfo.IncompleteContentModel, ErrorInfo.MissingAttribute

Enclosing class:
  ErrorInfo

public abstract static class ErrorInfo.ElementErrorInfo
extends ErrorInfo

Base class for element related errors.

Nested Class Summary

Nested classes inherited from class com.sun.msv.verifier.ErrorInfo
`ErrorInfo.BadAttribute, ErrorInfo.BadTagName, ErrorInfo.BadText, ErrorInfo.ElementErrorInfo, ErrorInfo.IncompleteContentModel, ErrorInfo.MissingAttribute`

Field Summary
`java.lang.String` | `localName`
`java.lang.String` | `namespaceURI`
`java.lang.String` | `qName` tag name information.

Constructor Summary
`ErrorInfo.ElementErrorInfo(StartTagInfo sti)`
`ErrorInfo.ElementErrorInfo(java.lang.String qn, java.lang.String ns, java.lang.String loc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### qName

    public final java.lang.String qName

  tag name information.

### namespaceURI

    public final java.lang.String namespaceURI

### localName

    public final java.lang.String localName

Constructor Detail

### ErrorInfo.ElementErrorInfo

    public ErrorInfo.ElementErrorInfo(java.lang.String qn,
                                      java.lang.String ns,
                                      java.lang.String loc)

### ErrorInfo.ElementErrorInfo

    public ErrorInfo.ElementErrorInfo(StartTagInfo sti)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD